Package twisted :: Package protocols :: Package gps :: Module rockwell

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.gps.rockwell

Rockwell Semiconductor Zodiac Serial Protocol Coded from official protocol specs (Order No. GPS-25, 09/24/1996, Revision 11)

Maintainer: Bob Ippolito<mailto:bob@redivi.com>

The following Rockwell Zodiac messages are currently understood:

       EARTHA\r\n (a hack to "turn on" a DeLorme Earthmate)
       1000 (Geodesic Position Status Output)
       1002 (Channel Summary)
       1003 (Visible Satellites)
       1011 (Receiver ID)

The following Rockwell Zodiac messages require implementation:

       None really, the others aren't quite so useful and require bidirectional communication w/ the device

Other desired features:

       - Compatability with the DeLorme Tripmate and other devices with this chipset (?)

Classes
`Zodiac` |

Exceptions
`ZodiacParseError` |

Variable Summary
`int` | `DEBUG`

Variable Details

### DEBUG

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:19:12 2003 | http://epydoc.sf.net